
CoCoALib - Feature #1090

ExternaLib-MathSAT: first prototype

12 Jul 2017 18:47 - Anna Maria Bigatti

Status: Closed Start date: 12 Jul 2017

Priority: Normal Due date: 29 Jul 2017

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 30.00 hours

Target version: CoCoALib-0.99560 Spent time: 29.00 hours

Description

Related issues:

Related to CoCoA-5 - Design #1091: ExternaLib-MathSAT: (first) prototype CoCo... Closed 13 Jul 2017

History

#1 - 12 Jul 2017 18:53 - Anna Maria Bigatti

- % Done changed from 0 to 60

- Estimated time changed from 20.00 h to 30.00 h

Cleaned up first prototype (0.99550), all in example into a more proper itnegration in ExternalLib-MathSAT.

The example ex-MathSAT1.C is more readable now.

#2 - 14 Jul 2017 11:04 - Anna Maria Bigatti

- Related to Design #1091: ExternaLib-MathSAT: (first) prototype CoCoA-5 interface for MathSAT added

#3 - 14 Jul 2017 11:16 - Anna Maria Bigatti

- % Done changed from 60 to 70

I made a class MathSAT::env as a wrapper for msat_env

The interface is currently only via matrices.

See examples/ex-MathSAT1.C

#4 - 09 Nov 2017 14:09 - Anna Maria Bigatti

- Status changed from New to Resolved

- % Done changed from 70 to 80

Polish the examples (remove obsolete ones) and consider this done for this stage.

#5 - 15 Dec 2017 17:04 - Anna Maria Bigatti

- % Done changed from 80 to 90

Cleaned up examples (now 2 examples).

#6 - 15 Dec 2017 17:35 - Anna Maria Bigatti

Added documentation in CoCoALib
#7 - 15 Dec 2017 18:09 - Anna Maria Bigatti

added documentation in cocoa-5

#8 - 19 Dec 2017 07:50 - Anna Maria Bigatti

- Status changed from Resolved to Closed

- % Done changed from 90 to 100
